Subject: xfixes problem
To: None <>
From: Daniel Bento <>
List: tech-pkg
Date: 01/24/2006 22:35:50
I have a little problem when i was trying to install mega-pkgs/xorg
during the installation of xcursor...
The error is this:

checking for xfixes... Package xfixes was not found in the pkg-config
search path. Perhaps you should add the directory containing `xfixes.pc'
to the PKG_CONFIG_PATH environment variable No package 'xfixes' found
configure: error: Library requirements (xfixes) not met; consider
adjusting the PKG_CONFIG_PATH environment variable if your libraries are
in a nonstandard prefix so pkg-config can find them. *** Error code 1

bmake: stopped in /usr/pkgsrc/x11/xcursor
=3D=3D=3D> There was an error during the ``configure'' phase.
=3D=3D=3D> Please investigate the following for more information:
=3D=3D=3D>      * config.log
=3D=3D=3D>      * /usr/pkgsrc/x11/xcursor/work/.work.log
*** Error code 1

bmake: stopped in /usr/pkgsrc/x11/xcursor

I have done # export PKG_CONFIG_PATH=3D/usr/pkg/lib/pkgconfig/=20
where the xfixes.pc is, but it gave always this error...
I tried to run ./configure in the work/libXcursor... directory and it
runs well, without problems, it detect xfixes... but i want to install
xcursor with pkgsrc of course!

Can you gave some tips?

Thanks in advance...

// Daniel Bento <>
// Grupo Astronomia-PT <>
Location @ 39.1670=C2=B0 N, -8.8830=C2=B0 E Alt 0 m
Version: 3.12
GM d- s: a--- C+++ UL++ P+ L++ E--- W++ N+ o+ K- w=20
O-- M+ V- PS+++ PE-- Y PGP t 5 X R- tv- b+++ DI- D=20
G e- h- !r y?=20